import { Plugin } from 'prosemirror-state';
import type { NodeSpec, NodeType, Schema } from 'prosemirror-model';
import { Converter, type CoreEditor, Node } from '@kerebron/editor';
import { type Commands, type CommandShortcuts } from '@kerebron/editor/commands';
import { type InputRule } from '@kerebron/editor/plugins/input-rules';
export declare const codeMirrorBlockKey: any;
export declare class NodeCodeMirror extends Node {
    name: string;
    automerge: {
        block: string;
        attrParsers: {
            fromAutomerge: (block: any) => {
                lang: any;
            };
            fromProsemirror: (node: any) => {
                lang: any;
            };
        };
    };
    getConverters(editor: CoreEditor, schema: Schema): Record<string, Converter>;
    getNodeSpec(): NodeSpec;
    getInputRules(type: NodeType): InputRule[];
    getCommands(editor: CoreEditor, type: NodeType): Partial<Commands>;
    getKeyboardShortcuts(): Partial<CommandShortcuts>;
    getProseMirrorPlugins(editor: CoreEditor): Plugin[];
}
//# sourceMappingURL=NodeCodeMirror.d.ts.map